> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Loyalty Currency

> Reset Loyalty Currency of a website



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/loyalty/reset
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/loyalty/reset:
    post:
      tags:
        - Loyalty
      summary: Reset Loyalty Currency
      description: Reset Loyalty Currency of a website
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - loyalty_reset_balances
                    - loyalty_reset_balances_data_and_rules
                    - loyalty_reset_balances_data_not_rules
                loyaltyCurrencyId:
                  type: string
                  format: uuid
                  title: Loyalty Currency ID
                  description: UUID of the loyalty currency to reset
                  example: 123e4567-e89b-12d3-a456-426614174000
                organizationId:
                  type: string
                  format: uuid
                  title: Organization ID
                  description: UUID of the organization (optional, converted to lowercase)
                  example: 123e4567-e89b-12d3-a456-426614174222
                websiteId:
                  type: string
                  format: uuid
                  title: Website ID
                  description: UUID of the website (optional, converted to lowercase)
                  example: 123e4567-e89b-12d3-a456-426614174111
              required:
                - type
                - loyaltyCurrencyId
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````